﻿#!python3
# -*- coding: utf-8 -*-
import subprocess

exe_name = "fceux.exe"
config_name = "fceux.cfg"

subprocess.run(exe_name)

# Удаляет строки о недавних файлах
def delete_recent():
    with open(config_name) as f:
        lines = f.readlines()
    lines = [line for line in lines if not line.startswith("recent_files[")]
    with open(config_name, "w") as f:
        f.writelines(lines)

# Показывает окно с сообщением на короткое время
def popup(s):
    from tkinter import Tk, Label, BOTH
    from sys import exit

    root = Tk()
    #root.overrideredirect(True) # Без рамок
    #root.wm_attributes('-alpha','0.9') # Прозрачность
    root.wm_attributes('-top','True')
    root.title("FCEUX Cleaner")
    root.after(2000, exit)
    Label(root, text = s, font = ("Verdana", 12)).pack(fill = BOTH, expand = True)
    root.geometry('400x50+700+500')
    root.mainloop()

delete_recent()
popup("Записи о недавних файлах удалены")